# Copyright (c) 2006-2008, The RubyCocoa Project.
# Copyright (c) 2001-2006, FUJIMOTO Hisakuni.
# All Rights Reserved.
#
# RubyCocoa is free software, covered under either the Ruby's license or the 
# LGPL. See the COPYRIGHT file for more information.

require 'osx/objc/oc_all.rb'
require 'osx/objc/cocoa_macros'

p = '/System/Library/BridgeSupport/libSystem.bridgesupport'
OSX.load_bridge_support_file(p) if File.exist?(p)

# FIXME: 10.6 Foundation.bridgesupport defines the value64 of NSNotFound as -1
module OSX
  if OSX.const_defined?(:NSIntegerMax) # 10.13 does not define NSIntegerMax in Foundation.bridgesupport
    remove_const(:NSNotFound)
    NSNotFound = NSIntegerMax
#  else
#    puts "NSIntegerMax is NOT DEFINED, NSNotFound = #{NSNotFound}"
#    NSNotFound = 9223372036854775807
#    NSIntegerMax = 9223372036854775807
  end
end
